Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-07-2017 17:26:36

manet42
Membre
Lieu : Lorraine
Distrib. : DF Stretch 9
Noyau : i 386 et amd 64 + Win 7
(G)UI : Xfce
Inscription : 30-06-2017

Impossible d'installer google earth: RESOLU Merci à vous!

Bonjour
- Googleearth refusé;
Méthodes de debian facile:
1- Apt-get install googleearth-package. RÉPONSE PAS DE PAQUET
2- Télécharger la version sur WWW.google.fr.....puis dpkg -i google..... Puis apt get install -f....... REPONSE: Manque le Paquet lsb-core

Voici le terminal:
Comment faire ?
Merci.

root@debian:/home/jcd34a42# dir



bases    Documents    manuel.desktop  Public
Bureau     Images     Modèles    Téléchargements
cahiers.desktop  Logiciels\ pers  Musique   Vidéos


root@debian:/home/jcd34a42# cd Téléchargements



root@debian:/home/jcd34a42/Téléchargements# dpkg -i google-earth-stable_current_i386.deb
Sélection du paquet google-earth-stable précédemment désélectionné.
(Lecture de la base de données... 153990 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de google-earth-stable_current_i386.deb ...
Dépaquetage de google-earth-stable (7.1.8.3036-r0) ...
dpkg: des problèmes de dépendances empêchent la configuration de google-earth-stable :
 google-earth-stable dépend de lsb-core (>= 3.2) ; cependant :
  [b]Le paquet lsb-core n'est pas installé.
[/b]
dpkg: erreur de traitement du paquet google-earth-stable (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
Des erreurs ont été rencontrées pendant l'exécution :
 google-earth-stable


root@debian:/home/jcd34a42/Téléchargements# apt-get install _f



Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet _f



Edit modération : Voir le tuto : Le code, ça pique moins les yeux en couleur

Dernière modification par manet42 (07-07-2017 19:07:30)


Vieux HP 510; Intel Pentium M 2,26 Ghz; Memoire: 1 024 Mb, 533 Mhz avec DF Stretch 9 i386 + PC bureau H81M-S1, Intel Pentium cpu G342O 3,2 Ghz- Memoire  4 Go : Stretch 9 DDext+ Win 7 DD int.
En essayant continuellement, on finit par réussir. Donc plus ça rate, plus on a de chance que ça marche

Hors ligne

#2 05-07-2017 17:33:51

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Bonjour,
Le paquet googleearth-package est pourtant disponible dans les dépôts mais il faut ajouter les dépôts contrib au sources.list
https://packages.debian.org/stretch/googleearth-package
Pour modifier le sources.list : https://debian-facile.org/doc:systeme:apt:sources.list

Hors ligne

#3 05-07-2017 19:08:04

manet42
Membre
Lieu : Lorraine
Distrib. : DF Stretch 9
Noyau : i 386 et amd 64 + Win 7
(G)UI : Xfce
Inscription : 30-06-2017

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Houps...Je viens de regarder. C'est un peu comme si je lisais une langue étrangère !
Pour l'instant je n'ai rien compris je ne vois pas ce qu'il faut télécharger.. Je revois ça soigneusement vendredi.
Merci.

Vieux HP 510; Intel Pentium M 2,26 Ghz; Memoire: 1 024 Mb, 533 Mhz avec DF Stretch 9 i386 + PC bureau H81M-S1, Intel Pentium cpu G342O 3,2 Ghz- Memoire  4 Go : Stretch 9 DDext+ Win 7 DD int.
En essayant continuellement, on finit par réussir. Donc plus ça rate, plus on a de chance que ça marche

Hors ligne

#4 05-07-2017 19:14:14

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Tu n'as rien à télécharger manuellement.
Tu modifies ton sources.list pour ajouter contrib non-free aprés main dans les lignes des dépôts
Tu recharges la liste des paquets avec

apt update


Et là le paquet sera disponible, tu n'auras plus la réponse pas de paquet
Il faudrait sans doute avant que tu nettoies ce que tu as téléchargé et tenté d'installer
ou alors tu veux continuer avec le paquet téléchargé sur Google mais là je ne sais pas te dire quoi faire mais d'autres vont savoir wink

Hors ligne

#5 05-07-2017 20:18:27

manet42
Membre
Lieu : Lorraine
Distrib. : DF Stretch 9
Noyau : i 386 et amd 64 + Win 7
(G)UI : Xfce
Inscription : 30-06-2017

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Désolé d'être un boulet mais à 75 ans pas facile le monde numérique..surtout après avoir soupé du windows , handylinux ça allait...
J'ai ouvert la page
https://packages.debian.org/stretch/googleearth-package
Et là qu'est que je fais ? je vois (CONTRIB) en rouge et à droite dans uns colonne en bleu package google pack...1.2.2 dsc et autre . tar xz Faut en télécharger un ?
Dans l'autre adresse, je ne vois pas de"main"
Cordialement

Vieux HP 510; Intel Pentium M 2,26 Ghz; Memoire: 1 024 Mb, 533 Mhz avec DF Stretch 9 i386 + PC bureau H81M-S1, Intel Pentium cpu G342O 3,2 Ghz- Memoire  4 Go : Stretch 9 DDext+ Win 7 DD int.
En essayant continuellement, on finit par réussir. Donc plus ça rate, plus on a de chance que ça marche

Hors ligne

#6 05-07-2017 21:46:46

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian Jessie 8.9
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14
Inscription : 29-04-2015

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Comme le dit chalu Il faut probablement  ajouter le dépôt contrib qui de base manque à ton fichier source.list.

Nous allons t'aider. smile

Ouvre un terminal
Tapes

cat /etc/apt/sources.list




et fait nous une copie de ce que retourne la commande.

Dernière modification par Philou92 (06-07-2017 00:04:38)

Hors ligne

#7 05-07-2017 22:28:04

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Oui le lien, c'était seulement pour te montrer que le paquet est disponible dans le dépôt contrib et qu'une fois le sources.list modifié en ajoutant contrib non-free, tu pourras installer le paquet normalement, avec Synaptic par exemple.
Désolée qu'il t'embrouille, ne t'en occupe pas et donne le retour de la commande de philou92 wink

Hors ligne

#8 06-07-2017 08:19:22

manet42
Membre
Lieu : Lorraine
Distrib. : DF Stretch 9
Noyau : i 386 et amd 64 + Win 7
(G)UI : Xfce
Inscription : 30-06-2017

Re : Impossible d'installer google earth: RESOLU Merci à vous!

jcd34a42@debian:~$ cat /etc/apt/sources.list
## debian stretch 9 main
deb http://deb.debian.org/debian/ stretch main contrib non-free

## debian stretch 9 updates
deb http://deb.debian.org/debian-security stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free

#sources
#deb-src http://deb.debian.org/debian/ stretch main contrib non-free
#deb-src http://deb.debian.org/debian-security stretch/updates main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free
jcd34a42@debian:~$
 


Vieux HP 510; Intel Pentium M 2,26 Ghz; Memoire: 1 024 Mb, 533 Mhz avec DF Stretch 9 i386 + PC bureau H81M-S1, Intel Pentium cpu G342O 3,2 Ghz- Memoire  4 Go : Stretch 9 DDext+ Win 7 DD int.
En essayant continuellement, on finit par réussir. Donc plus ça rate, plus on a de chance que ça marche

Hors ligne

#9 06-07-2017 10:53:57

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Tu as déjà le bon sources.list
Bizarre que tu n'ais pas réussi à l'installer
Peux tu donner le retour de

sudo apt-get update


puis celui de

sudo apt-get -s install googleearth-package

Hors ligne

#10 07-07-2017 10:13:26

manet42
Membre
Lieu : Lorraine
Distrib. : DF Stretch 9
Noyau : i 386 et amd 64 + Win 7
(G)UI : Xfce
Inscription : 30-06-2017

Re : Impossible d'installer google earth: RESOLU Merci à vous!


[sudo] Mot de passe de jcd34a42 : 
Ign:1 http://download.videolan.org/pub/debian/stable  InRelease
Atteint:2 http://download.videolan.org/pub/debian/stable  Release
Ign:3 http://deb.debian.org/debian stretch InRelease          
Atteint:4 http://deb.debian.org/debian-security stretch/updates InRelease
Atteint:5 http://deb.debian.org/debian stretch-updates InRelease
Atteint:6 http://deb.debian.org/debian stretch Release        
Lecture des listes de paquets... Fait                          


bloc à supprimer si la commande n’affiche rien


jcd34a42@debian:~$ sudo apt-get -s install googleearth-package
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
The following additional packages will be installed:
  build-essential dpkg-dev g++ g++-6 libalgorithm-diff-perl
  libalgorithm-diff-xs-perl libalgorithm-merge-perl libstdc++-6-dev
Paquets suggérés :
  debian-keyring g++-multilib g++-6-multilib gcc-6-doc libstdc++6-6-dbg
  libstdc++-6-doc
Paquets recommandés :
  libgnutls26:i386
Les NOUVEAUX paquets suivants seront installés :
  build-essential dpkg-dev g++ g++-6 googleearth-package
  libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl
  libstdc++-6-dev
0 mis à jour, 9 nouvellement installés, 0 à enlever et 18 non mis à jour.
Inst libstdc++-6-dev (6.3.0-18 Debian:9.0/stable [i386])
Inst g++-6 (6.3.0-18 Debian:9.0/stable [i386])
Inst g++ (4:6.3.0-4 Debian:9.0/stable [i386])
Inst dpkg-dev (1.18.24 Debian:9.0/stable [all])
Inst build-essential (12.3 Debian:9.0/stable [i386])
Inst googleearth-package (1.2.2 Debian:9.0/stable [all])
Inst libalgorithm-diff-perl (1.19.03-1 Debian:9.0/stable [all])
Inst libalgorithm-diff-xs-perl (0.04-4+b2 Debian:9.0/stable [i386])
Inst libalgorithm-merge-perl (0.08-3 Debian:9.0/stable [all])
Conf libstdc++-6-dev (6.3.0-18 Debian:9.0/stable [i386])
Conf g++-6 (6.3.0-18 Debian:9.0/stable [i386])
Conf g++ (4:6.3.0-4 Debian:9.0/stable [i386])
Conf dpkg-dev (1.18.24 Debian:9.0/stable [all])
Conf build-essential (12.3 Debian:9.0/stable [i386])
Conf googleearth-package (1.2.2 Debian:9.0/stable [all])
Conf libalgorithm-diff-perl (1.19.03-1 Debian:9.0/stable [all])
Conf libalgorithm-diff-xs-perl (0.04-4+b2 Debian:9.0/stable [i386])
Conf libalgorithm-merge-perl (0.08-3 Debian:9.0/stable [all])
jcd34a42@debian:~$
]


bloc à supprimer si la commande n’affiche rien


Vieux HP 510; Intel Pentium M 2,26 Ghz; Memoire: 1 024 Mb, 533 Mhz avec DF Stretch 9 i386 + PC bureau H81M-S1, Intel Pentium cpu G342O 3,2 Ghz- Memoire  4 Go : Stretch 9 DDext+ Win 7 DD int.
En essayant continuellement, on finit par réussir. Donc plus ça rate, plus on a de chance que ça marche

Hors ligne

#11 07-07-2017 12:55:47

manet42
Membre
Lieu : Lorraine
Distrib. : DF Stretch 9
Noyau : i 386 et amd 64 + Win 7
(G)UI : Xfce
Inscription : 30-06-2017

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Je viens d'essayer d'installer le paquet et toutes ses dépendances avec Synaptic, tout semble se dérouler normalement mais pas de Google dans les applications !..

Vieux HP 510; Intel Pentium M 2,26 Ghz; Memoire: 1 024 Mb, 533 Mhz avec DF Stretch 9 i386 + PC bureau H81M-S1, Intel Pentium cpu G342O 3,2 Ghz- Memoire  4 Go : Stretch 9 DDext+ Win 7 DD int.
En essayant continuellement, on finit par réussir. Donc plus ça rate, plus on a de chance que ça marche

Hors ligne

#12 07-07-2017 14:58:50

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Bonjour
possible qu'il n'apparaisse pas dans le menu de lancement
pour vérifier que le paquet est bien installé

apt-cache policy googleearth-package

Hors ligne

#13 07-07-2017 15:43:31

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Non mais y a un truc à faire après avoir installé ce paquet.
Sur la version Jessie voilà ce qui a marché pour moi : https://debian-facile.org/viewtopic.php … 50#p199650
Je ne sais pas si quelque chose a changé sous stretch. Je vais rechercher dans le wiki
Edit : le wiki https://debian-facile.org/doc:autres:googleearth ne mentionne pas de version de Debian
Comme tu es en version i386 tu n'as pas d'architecture supplémentaire à installer contrairement à moi en amd64

Hors ligne

#14 07-07-2017 15:57:49

manet42
Membre
Lieu : Lorraine
Distrib. : DF Stretch 9
Noyau : i 386 et amd 64 + Win 7
(G)UI : Xfce
Inscription : 30-06-2017

Re : Impossible d'installer google earth: RESOLU Merci à vous!

jcd34a42@debian:~$ apt-cache policy googleearth-package
googleearth-package:
  Installé : 1.2.2
  Candidat : 1.2.2
 Table de version :
 *** 1.2.2 500
        500 http://deb.debian.org/debian stretch/contrib i386 Packages
        100 /var/lib/dpkg/status
jcd34a42@debian:~$
 


bloc à supprimer si la commande n’affiche rien



Donc il a bien été installé ( ainsi que les dépendances proposées je l'ai  fait avec synaptic )
On a progressé....Reste à le faire apparaître dans les applications!
Merci pour toute cette aide...
NB. j'ai aussi un logiciel pour lecture GPS de parapente qui ne veut pas s'installer...... On verra ça plus tard, chaque chose en son temps !Il n'avait aucun problème sur Handy linux.
Cordialement.


Vieux HP 510; Intel Pentium M 2,26 Ghz; Memoire: 1 024 Mb, 533 Mhz avec DF Stretch 9 i386 + PC bureau H81M-S1, Intel Pentium cpu G342O 3,2 Ghz- Memoire  4 Go : Stretch 9 DDext+ Win 7 DD int.
En essayant continuellement, on finit par réussir. Donc plus ça rate, plus on a de chance que ça marche

Hors ligne

#15 07-07-2017 18:10:36

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Tu as lu mon message #13 ? installer le paquet ne suffit pas.

Hors ligne

#16 07-07-2017 19:05:27

manet42
Membre
Lieu : Lorraine
Distrib. : DF Stretch 9
Noyau : i 386 et amd 64 + Win 7
(G)UI : Xfce
Inscription : 30-06-2017

Re : Impossible d'installer google earth: RESOLU Merci à vous!

Bonsoir.
Oui je viens de relire le message 13.
J'ai donc appliqué à la lettre le mode d'emploi  depuis " make-google....age"
Et miracle pour moi, ça marche.yes.gif
Je ne l'avais pas fait car j'avais l'impression d'installer deux fois le package (puisque reconnu et installé par synaptic)crash.gif
Bon, même si je n'ai pas tout compris merci infiniment.
D'ailleurs si les membres actifs le permettent, je vais abuser pour mon autre logiciel...
Bien cordialement.

Vieux HP 510; Intel Pentium M 2,26 Ghz; Memoire: 1 024 Mb, 533 Mhz avec DF Stretch 9 i386 + PC bureau H81M-S1, Intel Pentium cpu G342O 3,2 Ghz- Memoire  4 Go : Stretch 9 DDext+ Win 7 DD int.
En essayant continuellement, on finit par réussir. Donc plus ça rate, plus on a de chance que ça marche

Hors ligne

#17 07-07-2017 19:17:05

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Impossible d'installer google earth: RESOLU Merci à vous!

En fait Google Earth n'étant pas libre, il n'est pas fourni par Debian. Le paquet que tu as installé avec Synaptic permet d'avoir les outils pour construire son paquet Google Earth.deb que l'on installe ensuite.

Hors ligne

Pied de page des forums